libxxf86dga1_1.1.4-1+b1_amd64.deb


Advertisement

Description

libxxf86dga1 - X11 Direct Graphics Access extension library

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libxxf86dga1
Package version: 1.1.4
Package release: 1+b1
Package architecture: amd64
Package type: deb
Installed size: 41 B
Download size: 21.81 KB
Official Mirror: ftp.br.debian.org
libXxf86dga provides the XFree86-DGA extension, which allows direct graphics access to a framebuffer-like region, and also allows relative mouse reporting, et al. It is mainly used by games and emulators for games. More information about X.Org can be found at: <URL:http://www.X.org> This module can be found at git://anongit.freedesktop.org/git/xorg/lib/libXxf86dga

Alternatives

    Download

    Source package: libxxf86dga

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libxxf86dga1 deb package:
      # sudo apt-get install libxxf86dga1

    Files

    • /usr/lib/x86_64-linux-gnu/libXxf86dga.so.1
    • /usr/lib/x86_64-linux-gnu/libXxf86dga.so.1.0.0
    • /usr/share/doc/libxxf86dga1/changelog.Debian.amd64.gz
    • /usr/share/doc/libxxf86dga1/changelog.Debian.gz
    • /usr/share/doc/libxxf86dga1/changelog.gz
    • /usr/share/doc/libxxf86dga1/copyright

    Changelog

    2013-08-12 - Julien Cristau <jcristau@debian.org> libxxf86dga (2:1.1.4-1) unstable; urgency=low * New upstream release. * Bump debhelper compat level to 7. * Use dh_prep instead of dh_clean -k. * Use dpkg-buildflags. * Disable silent build rules.

    2013-05-15 - Julien Cristau <jcristau@debian.org> libxxf86dga (2:1.1.3-2+deb7u1) wheezy-security; urgency=high * integer overflows calculating memory needs for replies [CVE-2013-1991] * buffer overflows due to not validating length or offset values in replies [CVE-2013-2000]

    2012-06-30 - Julien Cristau <jcristau@debian.org> libxxf86dga (2:1.1.3-2) unstable; urgency=low * Pull build fix from upstream for BSD (closes: #671047)

    2012-04-30 - Julien Cristau <jcristau@debian.org> libxxf86dga (2:1.1.3-1) unstable; urgency=low * New upstream release. * Remove David and Andres from Uploaders. * d/rules: add build-{arch,indep} target, don't use dh_testroot in clean. * Build for multiarch. * Drop useless Depends on x11-common.

    2010-11-19 - Cyril Brulebois <kibi@debian.org> libxxf86dga (2:1.1.2-1) unstable; urgency=low [ Julien Cristau ] * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no good reason. Thanks, Colin Watson! * Remove myself from Uploaders [ Cyril Brulebois ] * New upstream release. * Update debian/copyright from upstream COPYING. * Bump xutils-dev build-dep for new macros. * Switch from --list-missing to --fail-missing for additional safety. * Exclude libXxf86dga.la from dh_install accordingly. * Add myself to Uploaders.

    2010-01-06 - Julien Cristau <jcristau@debian.org> libxxf86dga (2:1.1.1-2) unstable; urgency=low * Upload to unstable.

    2009-12-02 - Julien Cristau <jcristau@debian.org> libxxf86dga (2:1.1.1-1) experimental; urgency=low [ Brice Goglin ] * Bump Standards-Version to 3.7.3 (no changes). * Drop the XS- prefix from Vcs-Git and Vcs-Browser fields in debian/control. * Add a link to www.X.org and a reference to the upstream module in the long description. * Add upstream URL to debian/copyright. * Add README.source, bump Standards-Version to 3.8.2. * Use updated xsfbs, closes: #538601. * Move -dbg package to section debug. * Run autoreconf on build; add build-deps on automake, libtool, xutils-dev. * Handle parallel builds. [ Timo Aaltonen ] * New upstream release. * Bump the build-dep on xutils-dev (>= 1:7.5~1). * Add includes in -dev, bump {Build-,}Depends, add Replaces on x11proto-xf86dga-dev. * Drop pre-dependency on x11-common from libxxf86dga-dev. This was needed for upgrades from sarge. [ Julien Cristau ] * Sync debian/control 'Section' fields with the override. * Drop -1 revisions from build-deps [lintian]. * Bump Standards-Version to 3.8.3.

    2007-09-06 - Julien Cristau <jcristau@debian.org> libxxf86dga (2:1.0.2-1) unstable; urgency=low * Remove outdated cvs information from the package descriptions, and add XS-Vcs-* headers. * New upstream release. + require x11proto-xf86dga-dev >= 2.0.3 to fix a sign-extension bug on 64bit systems * Install the upstream changelog. * Remove Branden and Fabio from Uploaders with their permission; add myself. * Use ${binary:Version} instead of ${Source-Version}.

    2006-09-18 - David Nusinow <dnusinow@debian.org> libxxf86dga (2:1.0.1-2) unstable; urgency=low [ Andres Salomon ] * Revert .la file addition. [ Drew Parsons ] * dbg package has priority extra.

    Advertisement
    Advertisement